All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::compressed_matrix_solve< NumericT > Struct Template Reference

Main kernel class for triangular solver OpenCL kernels for compressed_matrix. More...

`#include <compressed_matrix.hpp>`

## Static Public Member Functions

static std::string | program_name ()
static void | init (viennacl::ocl::context &ctx)

## Detailed Description

### template<typename NumericT>
struct viennacl::linalg::opencl::kernels::compressed_matrix_solve< NumericT >

Main kernel class for triangular solver OpenCL kernels for compressed_matrix.

Definition at line 1653 of file compressed_matrix.hpp.

## Member Function Documentation

template<typename NumericT >

static void viennacl::linalg::opencl::kernels::compressed_matrix_solve< NumericT >::init | ( | viennacl::ocl::context & | ctx | ) |

inline static

Definition at line 1660 of file compressed_matrix.hpp.

template<typename NumericT >

static std::string viennacl::linalg::opencl::kernels::compressed_matrix_solve< NumericT >::program_name | ( |  | ) |

inline static

Definition at line 1655 of file compressed_matrix.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/opencl/kernels/compressed_matrix.hpp